| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csMemoryMapping Class Reference

Memory mapping, as returned by csMemoryMappedIO::GetData(). More...

`#include <csutil/mmapio.h>`

Inheritance diagram for csMemoryMapping:

[legend]
List of all members.

## Public Member Functions
virtual void * | GetData ()=0
| Get pointer to mapped data.
virtual size_t | GetLength ()=0
| Get size of mapped data.

## Detailed Description

Memory mapping, as returned by csMemoryMappedIO::GetData().

Definition at line 52 of file mmapio.h.

## Member Function Documentation

virtual void* csMemoryMapping::GetData | ( |  | ) | `[pure virtual]`

Get pointer to mapped data.

virtual size_t csMemoryMapping::GetLength | ( |  | ) | `[pure virtual]`

Get size of mapped data.

The documentation for this class was generated from the following file:

- csutil/mmapio.h